      subroutine isymbl (ielem,isym)                                    ISYM001
c ----------------------------------------------------------------------ISYM002
c     returns atomic symbol of Z, ?? if not found                       ISYM003
c ----------------------------------------------------------------------ISYM004
c     This program module is part of the PhysiSoft X-ray Library        ISYM005
c     and may not be sold or reproduced for commercial purposes.        ISYM006
c     Although it has been tested carefully, there is no warranty       ISYM007
c     regarding accuracy or freedom from side-effects.                  ISYM008
c                   (C) 1986-1990 Bernhard Rupp                         ISYM009
c ----------------------------------------------------------------------ISYM010
                                                                        ISYM011
      parameter (nel=105)                                               ISYM012
                                                                        ISYM013
      character*2 i(nel),isym                                           ISYM014
                                                                        ISYM015
c --- nel regular elements ---                                          ISYM016
      data(i(k),k=1,nel)/'H','HE','LI','BE','B','C','N','O','F','NE'    ISYM017
     *  ,'NA','MG','AL','SI','P','S','CL','AR','K','CA','SC','TI','V'   ISYM018
     *  ,'CR','MN','FE','CO','NI','CU','ZN','GA','GE','AS','SE','BR'    ISYM019
     *  ,'KR','RB','SR','Y','ZR','NB','MO','TC','RU','RH','PD','AG'     ISYM020
     *  ,'CD','IN','SN','SB','TE','I','XE','CS','BA','LA','CE','PR'     ISYM021
     *  ,'ND','PM','SM','EU','GD','TB','DY','HO','ER','TM','YB','LU'    ISYM022
     *  ,'HF','TA','W' ,'RE','OS','IR','PT','AU','HG','TL','PB','BI'    ISYM023
     *  ,'PO','AT','RN','FR','RA','AC','TH','PA','U', 'NP','PU','AM'    ISYM024
     *  ,'CM','BK','CF','ES','FM','MD','NO','LR','RF','HA'/             ISYM025
                                                                        ISYM026
      if (ielem.gt.0.and.ielem.le.105) then                             ISYM027
         isym=i(ielem)                                                  ISYM028
      else                                                              ISYM029
         isym='??'                                                      ISYM030
      end if                                                            ISYM031
      return                                                            ISYM032
      end                                                               ISYM033
